hw_getrellink
hw_getremotechildren
Hyperwave Functions
PHP Manual

# hw_GetRemote

(PHP 4)

hw_GetRemote — Gets a remote document

### Description

int hw_getremote ( int `$connection` , int `$objectID` )

Gets a remote document.

Remote documents in Hyperwave notation are documents retrieved from an external source. Common remote documents are for example external web pages or queries in a database.

In order to be able to access external sources through remote documents Hyperwave introduces the HGI (Hyperwave Gateway Interface) which is similar to the CGI. Currently, only ftp, http-servers and some databases can be accessed by the HGI.

Calling hw_getremote() returns the document from the external source. If you want to use this function you should be very familiar with HGIs. You should also consider to use PHP instead of Hyperwave to access external sources. Adding database support by a Hyperwave gateway should be more difficult than doing it in PHP.

### Parameters

`connection`

  The connection identifier.

`objectID`

  The object identifier.

### Return Values

Returns a remote document.

### See Also

- hw_getremotechildren()

hw_getrellink
hw_getremotechildren
Hyperwave Functions
PHP Manual